GET
/v1/platform/webhooks/{id}GET /v1/platform/webhooks/{id}
Scopes: platform:webhooks:read
Requires scope: platform:webhooks:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string<uuid> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | string<uuid> | no | |
url | string | no | |
event_types | string[] | no | |
description | string | no | |
status | string | no | |
consecutive_failure_count | integer<int32> | no | |
auto_disabled_at | string<date-time> | no | |
created_at | string<date-time> | no | |
updated_at | string<date-time> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/platform/webhooks/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);